Loading...
Searching...
No Matches
InjectHostDevBufferCopies.h File Reference

Defines the lowering passes that deal with host and device buffer flow. More...

`#include <string>`
`#include <vector>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::call_extern_and_assert (const std::string &name, const std::vector< Expr > &args)
| A helper function to call an extern function, and assert that it returns 0.
Stmt | Halide::Internal::inject_host_dev_buffer_copies (Stmt s, const Target &t)
| Inject calls to halide_device_malloc, halide_copy_to_device, and halide_copy_to_host as needed.

## Detailed Description

Defines the lowering passes that deal with host and device buffer flow.

Definition in file InjectHostDevBufferCopies.h.